Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnSourceQualifier Class Reference

gnSourceQualifier is used to store a sequence qualifier which resides in another source. More...

`#include <gnSourceQualifier.h>`

Inheritance diagram for gnSourceQualifier::

List of all members.

## Public Methods
| gnSourceQualifier ()
| Empty constructor. More...
| gnSourceQualifier (gnBaseSource *source, string &name, uint32 begin, uint32 length)
| Constructor, records the location and name of the qualifier in the source. More...
| gnSourceQualifier (const gnSourceQualifier &s)
| Copy constructor. More...
| ~gnSourceQualifier ()
| Destructor, frees memory. More...
gnSourceQualifier* | Clone () const
string | GetName () const
| Get the name of qualifier stored in this class. More...
string | GetValue () const
| Get the qualifier stored in this class. More...
uint32 | GetNameLength () const
| Get the length of the qualifier name stored in this class. More...
uint32 | GetValueLength () const
| Get the length of the qualifier stored in this class. More...
uint32 | GetValueStart () const
| Get the qualifier's start position within the source. More...
pair<uint32, uint32> | GetValueLoc () const
| Get the qualifier's start position and length within the source. More...
void | SetValueStart (const uint32 start)
| Set the qualifier's start position within the source. More...
void | SetValueLength (const uint32 length)
| Get the qualifier's length within the source. More...
void | SetValueLoc (const pair< uint32, uint32 > startLen)
| Set the qualifier's start position and length within the source. More...
## Private Attributes
string | m_name
uint32 | m_start
uint32 | m_length
gnBaseSource* | m_source

## Detailed Description

gnSourceQualifier is used to store a sequence qualifier which resides in another source.

They are created by gnGBKSource and other sources and placed into a gnFeature.

Definition at line 31 of file gnSourceQualifier.h.

## Constructor & Destructor Documentation

gnSourceQualifier::gnSourceQualifier ( | )

| Empty constructor. Definition at line 19 of file gnSourceQualifier.cpp. Referenced by Clone().

gnSourceQualifier::gnSourceQualifier ( | gnBaseSource * source,
| string & name,
| uint32 begin,
| uint32 length )

  | Constructor, records the location and name of the qualifier in the source. Parameters:
  source | The source which contains the qualifier.
  name | The name of the qualifier.
  begin | The offset into the source where the qualifier starts.
  length | The length of the qualifier.
Definition at line 25 of file gnSourceQualifier.cpp.

gnSourceQualifier::gnSourceQualifier ( | const gnSourceQualifier & s )

  | Copy constructor. Parameters:
  s | The gnSourceQualifier to copy.
Definition at line 31 of file gnSourceQualifier.cpp.

gnSourceQualifier::~gnSourceQualifier ( | )

| Destructor, frees memory. Definition at line 37 of file gnSourceQualifier.cpp.

## Member Function Documentation

gnSourceQualifier * gnSourceQualifier::Clone ( | ) const`[inline, virtual]`

| Reimplemented from gnBaseQualifier. Definition at line 98 of file gnSourceQualifier.h.

string gnSourceQualifier::GetName ( | ) const`[inline, virtual]`

| Get the name of qualifier stored in this class. Returns: The qualifier name as a string. Reimplemented from gnBaseQualifier. Definition at line 102 of file gnSourceQualifier.h.

uint32 gnSourceQualifier::GetNameLength ( | ) const`[inline, virtual]`

| Get the length of the qualifier name stored in this class. Returns: The length of the qualifier name. Reimplemented from gnBaseQualifier. Definition at line 106 of file gnSourceQualifier.h.

string gnSourceQualifier::GetValue ( | ) const`[virtual]`

| Get the qualifier stored in this class. Returns: The qualifier as a string. Reimplemented from gnBaseQualifier. Definition at line 39 of file gnSourceQualifier.cpp.

uint32 gnSourceQualifier::GetValueLength ( | ) const`[inline, virtual]`

| Get the length of the qualifier stored in this class. Returns: The length of the qualifier. Reimplemented from gnBaseQualifier. Definition at line 114 of file gnSourceQualifier.h.

pair< uint32, uint32 > gnSourceQualifier::GetValueLoc ( | ) const`[inline]`

| Get the qualifier's start position and length within the source. Returns: The qualifier start position and length as a pair. Definition at line 118 of file gnSourceQualifier.h.

uint32 gnSourceQualifier::GetValueStart ( | ) const`[inline]`

| Get the qualifier's start position within the source. Returns: The qualifier start position. Definition at line 110 of file gnSourceQualifier.h.

void gnSourceQualifier::SetValueLength ( | const uint32 length )`[inline]`

  | Get the qualifier's length within the source. Parameters:
  length | The qualifier length.
Definition at line 129 of file gnSourceQualifier.h.

void gnSourceQualifier::SetValueLoc ( | const pair< uint32, uint32 > startLen )`[inline]`

  | Set the qualifier's start position and length within the source. Parameters:
  startLen | The qualifier start position and length as a pair.
Definition at line 133 of file gnSourceQualifier.h.

void gnSourceQualifier::SetValueStart ( | const uint32 start )`[inline]`

  | Set the qualifier's start position within the source. Parameters:
  start | The qualifier start position.
Definition at line 125 of file gnSourceQualifier.h.

## Member Data Documentation

uint32 gnSourceQualifier::m_length`[private]`

| Definition at line 93 of file gnSourceQualifier.h.

string gnSourceQualifier::m_name`[private]`

| Definition at line 92 of file gnSourceQualifier.h.

gnBaseSource * gnSourceQualifier::m_source`[private]`

| Definition at line 94 of file gnSourceQualifier.h.

uint32 gnSourceQualifier::m_start`[private]`

| Definition at line 93 of file gnSourceQualifier.h.

The documentation for this class was generated from the following files:

- gnSourceQualifier.h
- gnSourceQualifier.cpp